## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# DOMSupportException Class Reference

Inheritance diagram for DOMSupportException:

[legend]
Collaboration diagram for DOMSupportException:

[legend]
List of all members.

## Public Member Functions

- DOMSupportException (const XalanDOMString &message, MemoryManagerType &theManager)
    Constructor for an exception arising from DOMSupport classes.
- virtual ~DOMSupportException ()

## Constructor & Destructor Documentation

DOMSupportException::DOMSupportException | ( | const XalanDOMString & | message,
|  | MemoryManagerType & | theManager
| ) | `[explicit]`

  | Constructor for an exception arising from DOMSupport classes. Parameters:
  message | error message

virtual DOMSupportException::~DOMSupportException | ( |  | ) | `[virtual]`

The documentation for this class was generated from the following file:

- DOMSupportException.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.